<?php

namespace PostenBringCheckout\includes;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Plugin i18n
 *
 * Class responsible for loading text domain and translations
 *
 * @since 0.0.1
 */
class I18n {

	/**
	 * Load text domain and translations
	 *
	 * This function will load the text domain and translations
	 *
	 * @param string $plugin_name Plugin name.
	 * @since 0.0.1
	 */
	public function load_plugin_textdomain( $plugin_name ): void {
		load_plugin_textdomain(
			$plugin_name,
			false,
			dirname( plugin_basename( __FILE__ ), 2 ) . '/languages'
		);
	}
}
